java.net

## Interface FileNameMap

-     public interface FileNameMap

  A simple interface which provides a mechanism to map between a file name and a MIME type string.
  Since:
    JDK1.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentTypeFor(String fileName)` Gets the MIME type for the specified file name.

- - ### Method Detail

    - #### getContentTypeFor

          String getContentTypeFor(String fileName)

      Gets the MIME type for the specified file name.
      Parameters:
        `fileName` - the specified file name
      Returns:
        a `String` indicating the MIME type for the specified file name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.